include(FetchContent)

if(NOT DEFINED MAGICENUM_REPO)
    set(MAGICENUM_REPO https://github.com/Neargye/magic_enum.git)
endif ()

FetchContent_Declare(
        magic_enum
        EXCLUDE_FROM_ALL
        GIT_REPOSITORY ${MAGICENUM_REPO}
        GIT_TAG v0.9.3
        GIT_SHALLOW TRUE
)
FetchContent_MakeAvailable(magic_enum)